<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.PmProjectMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.PmProject">
        <id column="id" property="id" />
        <result column="project_name" property="projectName" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="project_describe" property="projectDescribe" />
        <result column="project_type" property="projectType" />
        <result column="project_status" property="projectStatus" />
        <result column="project_head" property="projectHead" />
        <result column="project_member" property="projectMember" />
        <result column="project_workload" property="projectWorkload" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
        <result column="del_flag" property="delFlag" />
        <result column="visible_range" property="visibleRange" />
    </resultMap>

</mapper>
